Subject: Re: [tcpm] [Technical Errata Reported] RFC5961 (5068)

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 4 Mar 2020 11:40:28 +0100

Hi tcpm,

I’m planning to mark the errata below as verified. Please let me know if there are any concern about this!

Mirja

> On 12. Jul 2017, at 19:03, RFC Errata System <[email-masked]> wrote:
> 
> The following errata report has been submitted for RFC5961,
> "Improving TCP's Robustness to Blind In-Window Attacks".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5068
> 
> --------------------------------------
> Type: Technical
> Reported by: Wesley Eddy <[email-masked]>
> 
> Section: 3.2
> 
> Original Text
> -------------
>   [RFC0793] currently requires handling of a segment with the RST bit
>   when in a synchronized state to be processed as follows:
> ...
>   Instead, implementations SHOULD implement the following steps in
>   place of those specified in [RFC0793] (as listed above).
> 
> Corrected Text
> --------------
>   [RFC0793] currently requires handling of a segment with the RST bit
>   when in a synchronized state to be processed as follows:
> ...
>   Instead, when in either a synchronized state or SYN-RECEIVED,
>   implementations SHOULD implement the following steps in place of
>   those specified in [RFC0793] (as listed above, for the synchronized
>   states).  Note that transition from SYN-RECEIVED to either LISTEN or
>   CLOSED and user signaling is still subject to whether the connection
>   was originated by a passive OPEN (as described in RFC 793).
> 
> 
> Notes
> -----
> The text in section 3.2 begins by stating a change from RFC 793 for RST bit handling "when in a synchronized state" (which means all states except for LISTEN, SYN-SENT, and SYN-RECEIVED).  Later in the section, the same change is described more loosely and text states that it's applicable "In all states except SYN-SENT", and separate behavior is provided for SYN-SENT, but the earlier text leaves uncertainty if the former is supposed to apply to SYN-RECEIVED as well, since the earlier text in the section section begins by discussing only "synchronized" states.
> 
> Since the check is totally valid for SYN-RECEIVED, and the behavior in steps 1, 2, and 3 are valid for SYN-RECEIVED, it seems appropriate to make sure this is clarified in the earlier text.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5961 (draft-ietf-tcpm-tcpsecure-13)
> --------------------------------------
> Title               : Improving TCP's Robustness to Blind In-Window Attacks
> Publication Date    : August 2010
> Author(s)           : A. Ramaiah, R. Stewart, M. Dalal
> Category            : PROPOSED STANDARD
> Source              : TCP Maintenance and Minor Extensions
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG